3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php $x = 'cat'; echo('what\'s new pussy' . $x . 's\?' . PHP_EOL); ?>
Output for 4.3.10 - 4.4.9, 5.0.2 - 5.6.28, hhvm-3.10.0 - 3.12.0, 7.0.0 - 7.1.0
what's new pussycats\?
Output for 4.3.0 - 4.3.9, 5.0.0 - 5.0.1
Notice: Use of undefined constant PHP_EOL - assumed 'PHP_EOL' in /in/ETv8j on line 1 what's new pussycats\?PHP_EOL